curl --request GET \
--url https://api-dev.myrestoo.net/v3/tenant/profile \
--header 'Authorization: Bearer <token>' \
--header 'Restoo-Account-Id: <restoo-account-id>' \
--header 'Restoo-Partner-Id: <restoo-partner-id>'import requests
url = "https://api-dev.myrestoo.net/v3/tenant/profile"
headers = {
"Restoo-Partner-Id": "<restoo-partner-id>",
"Restoo-Account-Id": "<restoo-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Restoo-Partner-Id': '<restoo-partner-id>',
'Restoo-Account-Id': '<restoo-account-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api-dev.myrestoo.net/v3/tenant/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isStandBy": false,
"reopenDate": "<string>",
"business": {
"name": "Best Burger",
"phone": "+34910011223",
"whatsapp": "+34910011223",
"email": "contact@bestburger.com",
"websiteUrl": "https://bestburger.com",
"bookingsUrl": "https://best-burger.myrestoo.net",
"menuUrl": "https://bestburger.com/menu",
"groupMenuUrl": "https://bestburger.com/group-menu",
"parkingUrl": "https://bestburger.com/parking",
"address": {
"line1": "Infinite Loop 1",
"line2": "Apt. 4B",
"location": "Apple Campus",
"city": "Cupertino",
"state": "California",
"postalCode": "95014",
"country": "ES"
}
},
"settings": {
"book": {
"punctualityCourtesyMinutes": 123,
"maxAdvanceBookingDays": 123,
"maxBookingSize": 123
},
"regional": {
"timeZone": "<string>",
"regionalCustomerPreferredLang": "es",
"preferredLang": "es",
"taxRate": 123,
"taxName": "<string>",
"currency": "EUR"
},
"communication": {
"tone": "INFORMAL"
}
},
"features": {
"allowExternalBookingUpdates": {
"isEnabled": true
},
"hotels": {
"isEnabled": true
},
"differentiateChildren": {
"childrenAreUnderYears": 123,
"isEnabled": true
},
"bookingAllergiesRequired": {
"isEnabled": true
},
"customerSpecialRequests": {
"allowChildrenRequests": true,
"allowAllergiesRequest": true,
"allowSpecialOccasionRequest": true,
"allowAccessibleRequest": true,
"allowOtherSpecialRequests": true,
"isEnabled": true
},
"bookingCustomerZipCodeRequest": {
"isEnabled": true
},
"bookingCustomerBirthDateRequest": {
"mode": "OPTIONAL",
"isEnabled": true
},
"marketingAnnouncements": {
"isEnabled": true
},
"groupDirectory": {
"isEnabled": true
}
},
"accountId": "best-burger"
}{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "BOOKING_IS_NOT_ON_SEATED_GROUP",
"detail": "The booking must be on the seated group status to be ended."
}Get Tenant Profile
Returns the public tenant profile and configuration needed by booking-channel integrations.
Authorizations
All requests must include the static API Key in the Authorization header using the Bearer scheme.
Headers
Unique identifier of your Partner account (defined by Restoo).
Response
TenantProfileResponse
Whether the venue's subscription is paused. While it is, the venue takes no
Bookings, features comes back null and reopenDate may say when it returns
When a paused venue is expected to come back. Not every venue sets one, so this
can be null even while isStandBy is true
Represents the public business information of a Tenant.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The venue features an integration can act on. null while isStandBy is true
Show child attributes
Show child attributes
The unique Restoo Account identifier for the Tenant
"best-burger"